{% extends 'shared/_site.html' %}

{% load widget_tweaks %}

{% block body %}
{% load  static %}

<section class="stop_growing">
    <div class="navigation">
        <ul class="list-unstyled">
            <li><a href="{% url 'page:index' %}">خانه</a></li>
            <li class="arrow">
                <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" viewBox="0 0 30 30">
                    <defs>
                        <clipPath id="clip-Artboard_2">
                            <rect width="30" height="30" />
                        </clipPath>
                    </defs>
                    <g id="Artboard_2" data-name="Artboard – 2" clip-path="url(#clip-Artboard_2)">
                        <rect width="30" height="30" fill="transparent" />
                        <path id="Path_126" data-name="Path 126"
                            d="M.492,10.265,22.569.077a.854.854,0,0,1,1.016.238.844.844,0,0,1,.02,1.043l-7.26,9.679,7.26,9.679A.849.849,0,0,1,22.571,22L.494,11.807a.849.849,0,0,1,0-1.542Z"
                            transform="translate(4 26.775) rotate(-90)" fill="#848282" />
                    </g>
                </svg>
            </li>
            <li><a href="{% url 'page:advises' %}">دریافت مشاوره</a></li>
        </ul>
    </div>
    <form method="post" action="{% url 'page:advises' %}">
        {% csrf_token %}
        <div class="title">
            <h4>کاربر عزیز</h4>
            <h4>
                شما می توانید با راه های ارتباطی زیر نسبت به دریافت زمان مشاوره و یا
                ارسال نظر اقدام فرمایید
            </h4>
        </div>

        {% if messages %}
        <ul class="messages">
            {% for message in messages %}
            <div class="alert alert-{{ message.tags }}" role="alert">
                {{ message }}
            </div>
            {% endfor %}
        </ul>
        {% endif %}

        <div class="col-md-8 offset-2">
            <ul class="alert alert danger">
            
                {% if form.fname.errors %}
                <li>
                    {% for error in form.fname.errors %}
                    <div class="alert alert-danger" role="alert">
                        نام : {{ error }}
                    </div>
                    {% endfor %}
                </li>
                {% endif %}

                {% if form.lname.errors %}
                <li>
                    {% for error in form.lname.errors %}
                    <div class="alert alert-danger" role="alert">
                        نام خانوادگی : {{ error }}
                    </div>
                    {% endfor %}
                </li>
                {% endif %}

                {% if form.phone.errors %}
                <li>
                    {% for error in form.phone.errors %}
                    <div class="alert alert-danger" role="alert">
                        شماره تماس : {{ error }}
                    </div>
                    {% endfor %}
                </li>
                {% endif %}

                {% if form.email.errors %}
                <li>
                    {% for error in form.email.errors %}
                    <div class="alert alert-danger" role="alert">
                        ایمیل : {{ error }}
                    </div>
                    {% endfor %}
                </li>
                {% endif %}

                {% if form.ordertime.errors %}
                <li>
                    {% for error in form.ordertime.errors %}
                    <div class="alert alert-danger" role="alert">
                        تماس از طریق : {{ error }}
                    </div>
                    {% endfor %}
                </li>
                {% endif %}

                {% if form.message.errors %}
                <li>
                    {% for error in form.message.errors %}
                    <div class="alert alert-danger" role="alert">
                        توضیحات : {{ error }}
                    </div>
                    {% endfor %}
                </li>
                {% endif %}

            </ul>
        </div>

        <div class="container mt-4">
            <div class="row">
                <div class="col-xl-4 col-lg-6 col-md-6 col-sm-12">
                    {% render_field form.fname type="text" id="inputEmail4" class+="form-control input-form-control" placeholder="نام" %}
                    <img src="{% static 'assets/img/svg/profile.svg' %}" alt="" />
                </div>

                <div class="col-xl-4 col-lg-6 col-md-6 col-sm-12">
                    {% render_field form.lname type="text" id="inputEmail4" class+="form-control input-form-control" placeholder="نام خانوادگی" %}
                    <img src="{% static 'assets/img/svg/profile.svg' %}" alt="" />
                </div>

                <div class="col-xl-4 col-lg-6 col-md-6 col-sm-12">
                    {% render_field form.phone type="tel" id="inputEmail4" class+="form-control input-form-control" placeholder="شماره تماس" %}
                    <img src="{% static 'assets/img/svg/mobile.svg' %}" alt="" />
                </div>

                <div class="col-xl-4 col-lg-6 col-md-6 col-sm-12">
                    {% render_field form.email type="email" id="inputEmail4" class+="form-control input-form-control" placeholder="ایمیل" %}
                    <img src="{% static 'assets/img/svg/message.svg' %}" alt="" />
                </div>

                <div class="col-xl-4 col-lg-6 col-md-6 col-sm-12 select">
                    <div class="selectdiv">
                        <label>
                            {% render_field form.ordertime id="inputEmail4" class+="form-control input-form-control" %}
                        </label>
                    </div>
                </div>

                <div class="col-12 icon_fix">
                    {% render_field form.message id="exampleFormControlTextarea1" class+="form-control input-form-control" placeholder="توضیحات" %}
                    <img src="{% static 'assets/img/svg/comment.svg' %}" alt="" />
                </div>

                <div class="col-12 mb-4">
                    <button type="submit" class="btn btn-primary hvr-grow">
                        ارسال پیام
                    </button>
                </div>
            </div>
        </div>

    </form>
</section>
<a class="get_advise_asap" href="{% url 'page:advises' %}">
    <div class="text">
        <h4>
            <img src="{% static 'assets/img/svg/Group 14.svg' %}" alt="" />برای دریافت زمان
            مشاوره کلیک کنید
        </h4>
    </div>
</a>

{% endblock %}